=== include/Makefile ===
######
# automagically built by ./configure
######

SRCDIR	=/home/bottoms/stage/icomlib-1.0.1
PREFIX	=/usr
P_DEBUG =-O2
P_CC	=gcc
P_CXX	=g++
P_SYS	=-DLinux
P_MOC	=/usr/bin/moc
P_QTLIB	=/usr/share/qt/lib
P_QTINC	=/usr/share/qt/include
P_LINKER=g++
P_LINK	=g++
P_QTOK	=y
P_GUISTYLE=-DSGI_STYLE

# linux configuration file

P_LINKER=$(P_CXX)
P_X11=/usr/X11R6
P_LFLAGS_PCOMM=-shared -Wl,-soname,libpcomm.so.1
P_LFLAGS_PCP=-shared -Wl,-soname,libpcp.so.1
P_LFLAGS_PLOG=-shared -Wl,-soname,libplog.so.1
P_LINK=$(P_LINKER)
PCOMMHEAD	= $(SRCDIR)/src/pcomm/pcomm.h \
		  $(SRCDIR)/src/pcomm/pcrdef.h

PCPHEAD		= $(SRCDIR)/src/pcp/pcp.h

PLOGHEAD	= $(SRCDIR)/src/plog/plog.h

all: clean
	ln -f $(PLOGHEAD) .
	ln -f $(PCOMMHEAD) .
	ln -f $(PCPHEAD) .

clean:
	rm -f core *~ *.h *.cpp

testvar:
	@echo "****$(PWD)****"
	@echo "*** LIBS   $(LIBS)"
	@echo "*** SRCDIR $(SRCDIR)"
	@echo "*** $(PCOMMHEAD) "
	@echo "*** $(PCPHEAD) "
	@echo "*** $(PLOGHEAD) "
