=== src/console/Makefile ===
######
# automagically built by ./configure
######

SRCDIR	=/home/bottoms/stage/icomlib-1.0.1
PREFIX	=/usr
P_DEBUG =-O2
P_CC	=gcc
P_CXX	=g++
P_SYS	=-DLinux
P_MOC	=/usr/bin/moc
P_QTLIB	=/usr/share/qt/lib
P_QTINC	=/usr/share/qt/include
P_LINKER=g++
P_LINK	=g++
P_QTOK	=y
P_GUISTYLE=-DSGI_STYLE

# linux configuration file

P_LINKER=$(P_CXX)
P_X11=/usr/X11R6
P_LFLAGS_PCOMM=-shared -Wl,-soname,libpcomm.so.1
P_LFLAGS_PCP=-shared -Wl,-soname,libpcp.so.1
P_LFLAGS_PLOG=-shared -Wl,-soname,libplog.so.1
P_LINK=$(P_LINKER)
################################################################
# console apps makefile
#

DESTDIR		= $(SRCDIR)/bin
TARGETS		= $(DESTDIR)/pcr \
		  $(DESTDIR)/pcroff
INCPATH		= $(SRCDIR)/include
LIBS		= $(SRCDIR)/lib -lpcomm -lpcp -lplog
CC		= $(P_CC)
CXX		= $(P_CXX)
LINKER		= $(P_LINKER)

all: $(TARGETS)
	@echo "-----------------------------------------------------------"
	@echo "*  Console apps done ..."
	@echo "-----------------------------------------------------------"

$(DESTDIR)/pcr: pcr.cpp
	$(CXX) $(P_DEBUG) $(P_SYS) -o $(DESTDIR)/pcr -L$(LIBS) -I$(INCPATH) pcr.cpp

$(DESTDIR)/pcroff: pcroff.cpp
	$(CXX) $(P_DEBUG) $(P_SYS) -o $(DESTDIR)/pcroff -L$(LIBS) -I$(INCPATH) pcroff.cpp

pcr.cpp: $(INCPATH)/pcp.h \
	    $(INCPATH)/pcrdef.h

pcroff.cpp: $(INCPATH)/pcp.h \
	    $(INCPATH)/pcrdef.h

clean:
	rm -f $(TARGETS)
	rm -f core *~
