=== src/pcomm/Makefile ===
######
# automagically built by ./configure
######

SRCDIR	=/home/bottoms/stage/icomlib-1.0.1
PREFIX	=/usr
P_DEBUG =-O2
P_CC	=gcc
P_CXX	=g++
P_SYS	=-DLinux
P_MOC	=/usr/bin/moc
P_QTLIB	=/usr/share/qt/lib
P_QTINC	=/usr/share/qt/include
P_LINKER=g++
P_LINK	=g++
P_QTOK	=y
P_GUISTYLE=-DSGI_STYLE

# linux configuration file

P_LINKER=$(P_CXX)
P_X11=/usr/X11R6
P_LFLAGS_PCOMM=-shared -Wl,-soname,libpcomm.so.1
P_LFLAGS_PCP=-shared -Wl,-soname,libpcp.so.1
P_LFLAGS_PLOG=-shared -Wl,-soname,libplog.so.1
P_LINK=$(P_LINKER)
#############################################################################
# Makefile for building libpcomm.so.1.0
#############################################################################

####### Compiler, tools and options

CC	=	$(P_CC)
CXX	=	$(P_CXX)
CFLAGS	=	$(P_PIPE) $(P_SYS) $(P_DEBUG) -fPIC
CXXFLAGS=	$(P_PIPE) $(P_SYS) $(P_DEBUG) -fPIC
INCPATH	=	-I$(SRCDIR)/include
LINK	=	$(P_LINKER)
LFLAGS	=	$(P_LFLAGS_PCOMM)
LIBS	=	
AR	=	ar cqs
RANLIB	=	
MOC	=	moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	pcomm.h \
		pcrdef.h
SOURCES =	pcomm.cpp
OBJECTS =	pcomm.o
DIST	=	
TARGET	=	libpcomm.so.1.0
TARGETA	=	$(SRCDIR)/lib/libpcomm.a
TARGETD	=	libpcomm.so.1.0
TARGET0	=	libpcomm.so
TARGET1	=	libpcomm.so.1

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(SRCDIR)/lib/libpcomm.so.1.0

$(SRCDIR)/lib/libpcomm.so.1.0: $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGET) $(TARGET0) $(TARGET1)
	$(LINK) $(LFLAGS) -o $(TARGETD) $(OBJECTS) $(OBJMOC) $(LIBS)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-rm -f $(SRCDIR)/lib/$(TARGET)
	-rm -f $(SRCDIR)/lib/$(TARGET0)
	-rm -f $(SRCDIR)/lib/$(TARGET1)
	-mv $(TARGET) $(TARGET0) $(TARGET1) $(SRCDIR)/lib/

staticlib: $(TARGETA)

$(TARGETA): $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGETA)
	$(AR) $(TARGETA) $(OBJECTS) $(OBJMOC)

moc: $(SRCMOC)

#
#tmake: Makefile
#
#Makefile: pcomm.pro
#	tmake pcomm.pro -o Makefile
#

dist:
	$(TAR) pcomm.tar pcomm.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) pcomm.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f $(TARGET0) $(TARGET1) $(TARGETA)
	-rm -f $(SRCDIR)/lib/$(TARGET)
	-rm -f $(SRCDIR)/lib/$(TARGET0)
	-rm -f $(SRCDIR)/lib/$(TARGET1)
	-rm -f *~ core

####### Compile

pcomm.o: pcomm.cpp \
		pcomm.h \
		pcrdef.h
