=== debian/changelog ===
icomlib (1.0.1-4) unstable; urgency=low

  * be flexible about moc location (closes #102665)
  * work with libqt-dev in preparation for woody release

 -- Maitland Bottoms <bottoms@debian.org>  Sat, 14 Jul 2001 21:56:43 -0400

icomlib (1.0.1-3) unstable; urgency=low

  * be flexible about qt dependencies
  * depend upon libqt2-dev instead of libqt2.2-dev to close #87244

 -- Maitland Bottoms <bottoms@debian.org>  Sat, 24 Feb 2001 17:02:41 -0500

icomlib (1.0.1-2) unstable; urgency=low

  * sys/time.h -> time.h o close #86610

 -- Maitland Bottoms <bottoms@debian.org>  Wed, 21 Feb 2001 21:25:40 -0500

icomlib (1.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Maitland Bottoms <bottoms@debian.org>  Sun,  7 Jan 2001 13:54:45 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address "bottoms@debian.org"
End:
