=== debian/control ===
Source: icomlib
Section: hamradio
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>> 2.0.0), libqt-dev
Standards-Version: 3.2.1

Package: icomlib1-dev
Architecture: any
Depends: icomlib1, libc6-dev
Description: Icom PCR-1000 development kit
 icomlib is the ghetto.org PCR-1000 control suite. It consists of a
 library, command line programs, and a QT widget GUI application.
 .
 This software controls an ICOM PCR-1000 receiver via a serial
 interface.

Package: icomlib1
Architecture: any
Depends: ${shlibs:Depends}
Description: Icom PCR-1000 control shared libraries
 icomlib is the ghetto.org PCR-1000 control suite. It consists of a
 library, command line programs, and a QT widget GUI application.
 .
 This software controls an ICOM PCR-1000 receiver via a serial
 interface.

Package: icomlib-bin
Architecture: any
Depends: icomlib1
Description: Icom PCR-1000 command line control
 icomlib is the ghetto.org PCR-1000 control suite. It consists of a
 library, command line programs, and a QT widget GUI application.
 .
 This software controls an ICOM PCR-1000 receiver via a serial
 interface.

Package: qpcr1k
Architecture: any
Depends: ${shlibs:Depends}
Description: Icom PCR-1000 GUI control
 icomlib is the ghetto.org PCR-1000 control suite. It consists of a
 library, command line programs, and a QT widget GUI application.
 .
 This software controls an ICOM PCR-1000 receiver via a serial
 interface.

Package: icomlib-doc
Architecture: all
Description: Documentation for icomlib
 icomlib is the ghetto.org PCR-1000 control suite. It consists of a
 library, command line programs, and a QT widget GUI application.
 .
 This software controls an ICOM PCR-1000 receiver via a serial
 interface.
