=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

# This has to be exported to make some magic below work.
export DH_OPTIONS

# To built the GUI
QTDIR := $(shell if [ -d /usr/share/qt ]; then echo /usr/share/qt ; else echo /usr/lib/qt2 ; fi)
export QTDIR
QTMOC := $(shell if [ -x $(QTDIR)/bin/moc ]; then echo $(QTDIR)/bin/moc ; else echo /usr/bin/moc ; fi)
export QTDIR
export QTMOC

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure -prefix /usr -moc $(QTMOC)

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -f lib/lib*

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/icomlib.
	$(MAKE) install PREFIX=$(CURDIR)/debian/tmp/usr
	dh_movefiles
	mkdir debian/icomlib1/DEBIAN
	install -m644 debian/icomlib1.shlibs debian/icomlib1/DEBIAN/shlibs
	install -m644 debian/manpage.1.gz debian/qpcr1k/usr/share/man/man1/qpcr1k.1.gz
	install -m644 debian/manpage.1.gz debian/icomlib-bin/usr/share/man/man1/pcr.1.gz
	install -m644 debian/manpage.1.gz debian/icomlib-bin/usr/share/man/man1/pcroff.1.gz
	cd debian/icomlib1/usr/lib && ln -s libpcomm.so.1.0 libpcomm.so.1
	cd debian/icomlib1/usr/lib && ln -s libpcp.so.1.0 libpcp.so.1
	cd debian/icomlib1/usr/lib && ln -s libplog.so.1.0 libplog.so.1

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
	dh_installdeb
#	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
	dh_installdeb
#	dh_makeshlibs
#	dh_perl
	dh_shlibdeps -l$(CURDIR)/icomlib1/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
